Chapter 16. permission
Manage repository permissions.
16.1. getUserTransitivePermission Copy linkLink copied to clipboard!
Get the fetch the permission for the specified user.
16.1.1. GET /api/v1/repository/{repository}/permissions/user/{username}/transitive Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
16.1.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | username required | The username of the user to which the permissions apply | string |
| path | repository required | The full path of the repository. e.g. namespace/name | string |
16.1.3. Responses Copy linkLink copied to clipboard!
16.1.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"https://quay-server.example.com/api/v1/repository/<repository_path>/permissions/user/<username>/transitive"
16.2. getUserPermissions Copy linkLink copied to clipboard!
Get the permission for the specified user.
16.2.1. GET /api/v1/repository/{repository}/permissions/user/{username} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
16.2.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | username required | The username of the user to which the permission applies | string |
| path | repository required | The full path of the repository. e.g. namespace/name | string |
16.2.3. Responses Copy linkLink copied to clipboard!
16.2.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"https://quay-server.example.com/api/v1/repository/<repository_path>/permissions/user/<username>"
16.3. changeUserPermissions Copy linkLink copied to clipboard!
Update the perimssions for an existing repository.
16.3.1. PUT /api/v1/repository/{repository}/permissions/user/{username} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
16.3.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | username required | The username of the user to which the permission applies | string |
| path | repository required | The full path of the repository. e.g. namespace/name | string |
16.3.3. Request body schema (application/json) Copy linkLink copied to clipboard!
Description of a user permission.
| Name | Description | Schema |
|---|---|---|
| role required | Role to use for the user | string |
16.3.4. Responses Copy linkLink copied to clipboard!
16.3.5. Example command Copy linkLink copied to clipboard!
$ curl -X PUT \
-H "Authorization: Bearer <bearer_token>" \
-H "Content-Type: application/json" \
-d '{"role": "admin"}' \
https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository>/permissions/user/<username>
16.4. deleteUserPermissions Copy linkLink copied to clipboard!
Delete the permission for the user.
16.4.1. DELETE /api/v1/repository/{repository}/permissions/user/{username} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
16.4.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | username required | The username of the user to which the permission applies | string |
| path | repository required | The full path of the repository. e.g. namespace/name | string |
16.4.3. Responses Copy linkLink copied to clipboard!
16.4.4. Example command Copy linkLink copied to clipboard!
$ curl -X DELETE \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository>/permissions/user/<username>
16.5. getTeamPermissions Copy linkLink copied to clipboard!
Fetch the permission for the specified team.
16.5.1. GET /api/v1/repository/{repository}/permissions/team/{teamname} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
16.5.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | teamname required | The name of the team to which the permission applies | string |
16.5.3. Responses Copy linkLink copied to clipboard!
16.5.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"https://quay-server.example.com/api/v1/repository/<namespace>/<repository>/permissions/team/<teamname>"
16.6. changeTeamPermissions Copy linkLink copied to clipboard!
Update the existing team permission.
16.6.1. PUT /api/v1/repository/{repository}/permissions/team/{teamname} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
16.6.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | teamname required | The name of the team to which the permission applies | string |
16.6.3. Request body schema (application/json) Copy linkLink copied to clipboard!
Description of a team permission.
| Name | Description | Schema |
|---|---|---|
| role required | Role to use for the team | string |
16.6.4. Responses Copy linkLink copied to clipboard!
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Successful invocation | |
| 400 | Bad Request | |
| 401 | Session required | |
| 403 | Unauthorized access | |
| 404 | Not found |
$ curl -X PUT \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{"role": "<role>"}' \
"https://quay-server.example.com/api/v1/repository/<namespace>/<repository>/permissions/team/<teamname>"
16.7. deleteTeamPermissions Copy linkLink copied to clipboard!
Delete the permission for the specified team.
16.7.1. DELETE /api/v1/repository/{repository}/permissions/team/{teamname} Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
16.7.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
| path | teamname required | The name of the team to which the permission applies | string |
16.7.3. Responses Copy linkLink copied to clipboard!
16.7.4. Example command Copy linkLink copied to clipboard!
$ curl -X DELETE \
-H "Authorization: Bearer <access_token>" \
"https://quay-server.example.com/api/v1/repository/<namespace>/<repository>/permissions/team/<teamname>"
16.8. listRepoTeamPermissions Copy linkLink copied to clipboard!
List all team permission.
16.8.1. GET /api/v1/repository/{repository}/permissions/team/ Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
16.8.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
16.8.3. Responses Copy linkLink copied to clipboard!
16.8.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <access_token>" \
"https://quay-server.example.com/api/v1/repository/<namespace>/<repository>/permissions/team/"
16.9. listRepoUserPermissions Copy linkLink copied to clipboard!
List all user permissions.
16.9.1. GET /api/v1/repository/{repository}/permissions/user/ Copy linkLink copied to clipboard!
Authorizations: oauth2_implicit (repo:admin)
16.9.2. Path parameters Copy linkLink copied to clipboard!
| Type | Name | Description | Schema |
|---|---|---|---|
| path | repository required | The full path of the repository. e.g. namespace/name | string |
16.9.3. Responses Copy linkLink copied to clipboard!
16.9.4. Example command Copy linkLink copied to clipboard!
$ curl -X GET \
-H "Authorization: Bearer <bearer_token>" \
-H "Accept: application/json" \
https://<quay-server.example.com>/api/v1/repository/<namespace>/<repository>/permissions/user/<username>/